import glob
import os
import shutil


def remove_files(fmt="*post.fits"):
    """ Remove files matching the specified format. """
    for fp in glob.glob(fmt):
        os.remove(fp)


def remove_dir(path=""):
    """ Remove the specified directory. """
    if os.path.exists(path):
        shutil.rmtree(path)
